<?php
/**
 * @package  copilotPlugin
 */

use Inc\Pages\Output;

/*
Plugin Name: copilot Plugin
Plugin URI: https://ov2b.de
Description: Schnittstelle zu co*pilot
Version: 1.0.0
Author URI: https://ov2b.de
License: GPLv2 or later
Text Domain: copilot-plugin
*/

defined( 'ABSPATH' ) or die( 'Nicht erlaubt' );

// Require once the Composer Autoload
if ( file_exists( dirname( __FILE__ ) . '/vendor/autoload.php' ) ) {
	require_once dirname( __FILE__ ) . '/vendor/autoload.php';
}

/**
 * The code that runs during plugin activation
 */
function activate_copilot_plugin() {
	Inc\Base\Activate::activate();
}
register_activation_hook( __FILE__, 'activate_copilot_plugin' );

/**
 * The code that runs during plugin deactivation
 */
function deactivate_copilot_plugin() {
	Inc\Base\Deactivate::deactivate();
}
register_deactivation_hook( __FILE__, 'deactivate_copilot_plugin' );

/**
 * Initialize all the core classes of the plugin
 */
if ( class_exists( 'Inc\\Init' ) ) {
	Inc\Init::register_services();
}

function copilotOutput($atts = [])
{
	$output = new Output();
	return $output->copilotOutput($atts);
} 

add_shortcode('copilot', "copilotOutput");