<?php 
/**
 * @package  copilotPlugin
 */
namespace Inc\Api\Callbacks;

use Inc\Base\BaseController;

class AdminCallbacks extends BaseController
{
	public function adminTemplates()
	{
		return require_once( "$this->plugin_path/templates/admin.php" );
	}

	public function adminSettings()
	{
		return require_once( "$this->plugin_path/templates/settings.php" );
	}

	public function adminApiCall()
	{
		return require_once( "$this->plugin_path/templates/apiCall.php" );
	}

	public function copilotSettingsOptionsGroup( $input )
	{
		return $input;
	}

	public function copilotSettingsSection()
	{
		echo 'Bitte setzen Sie die API Angaben';
	}

	public function copilotApiPath()
	{
		$value = esc_attr( get_option( 'api_url' ) );
		echo '<input type="text" class="regular-text" name="api_url" value="' . $value . '" placeholder="co*pilot API URL">';
	}
	
	public function copilotApiToken()
	{
		$value = esc_attr( get_option( 'api_token' ) );
		echo '<input type="text" class="regular-text" name="api_token" value="' . $value . '" placeholder="co*pilot API Token">';
	}

	public function copilotHelpSection()
	{
		printf("<pre>%s</pre>", json_encode($this->copilotApiCall("events"), JSON_PRETTY_PRINT));
	}

	public function copilotApiCall($ep, $promotiontype = "")
	{
		$curl = curl_init();
		$baseUrl = esc_attr( get_option( 'api_url' ) );
		
		$headers = array(
			"Accept: application/json",
			"Authorization: Bearer ".esc_attr( get_option( 'api_token' ) ),
		 );

		$url = $baseUrl . $ep;
		if($promotiontype != "") {
			$url .= "?filter.promotionType=".$promotiontype;
		} else {
			$url .= "?filter.promotionType=1homepage";
		}

		$curl = curl_init($url);
		curl_setopt($curl, CURLOPT_URL, $url);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);		
		curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
		
		$response = curl_exec($curl);
		$err = curl_error($curl);
		curl_close($curl);

		if ($err) {
			//Only show errors while testing
			// echo "cURL Error #:" . $err;
		} else {
			$responseObj = json_decode($response, true);
			return $responseObj;
		}
	}
}